- name: Check connectivity
  ping:
    data: alive
  tags: check
- name: Create a file on each worker with token ~/token.txt
  copy:
    dest: /home/{{ raspberry-pi-user }}/token.txt
    content: |
      {{ hostvars['k3s-master']['k3s_token'].stdout }}
- name: Download K3s script
  get_url:
    url: {{ k3s-dl-url }}
    dest: /home/{{ raspberry-pi-user }}/install.sh
- name: Install k3s as agent
  ansible.builtin.command: /bin/sh /home/{{ raspberry-pi-user }}/install.sh
  become: true
  environment:
        K3S_TOKEN: "{{ hostvars['{{ master-hostname }}']['k3s_token'].stdout }}"
        K3S_URL: "https://{{ master-hostname }}:6443"